Bug 502650 (CVE-2009-1789) - CVE-2009-1789 eggdrop DoS (crash)
Summary: CVE-2009-1789 eggdrop DoS (crash)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1789
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard:
: 501045 (view as bug list)
Depends On: 502651 502652 502653 502654
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-26 18:56 UTC by Josh Bressers
Modified: 2019-09-29 12:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 22:18:44 UTC


Attachments (Terms of Use)

Description Josh Bressers 2009-05-26 18:56:04 UTC
mod/server.mod/servmsg.c in Eggheads Eggdrop and Windrop 1.6.19 and
earlier allows remote attackers to cause a denial of service (crash)
via a crafted PRIVMSG that causes an empty string to trigger a
negative string length copy. NOTE: this issue exists because of an
incorrect fix for CVE-2007-2807.

http://secunia.com/advisories/35104

Comment 1 Josh Bressers 2009-05-26 18:56:47 UTC
Created eggdrop tracking bugs for this issue

CVE-2009-1789 Affects: F10 [bug #502651]
CVE-2009-1789 Affects: F8 [bug #502652]
CVE-2009-1789 Affects: F9 [bug #502653]
CVE-2009-1789 Affects: Fdevel [bug #502654]

Comment 2 Josh Bressers 2009-05-26 19:14:39 UTC
The upstream fix should be here:
http://cvs.eggheads.org/viewvc/viewvc.cgi/eggdrop1.6/src/mod/server.mod/servmsg.c?r1=1.100&r2=1.101

Comment 3 Robert Scheck 2009-05-26 20:58:45 UTC
Package: eggdrop-1.6.19-4.fc12 Tag: dist-f12 Status: complete Built
Package: eggdrop-1.6.19-4.fc11 Tag: dist-f11-updates-candidate Status: complete
Package: eggdrop-1.6.19-4.fc10 Tag: dist-f10-updates-candidate Status: complete
Package: eggdrop-1.6.19-4.fc9 Tag: dist-f9-updates-candidate Status: complete

2386 (eggdrop): Build on target fedora-5-epel succeeded.
2387 (eggdrop): Build on target fedora-4-epel succeeded.

Comment 4 Fedora Update System 2009-05-26 20:59:21 UTC
eggdrop-1.6.19-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/eggdrop-1.6.19-4.fc9

Comment 5 Fedora Update System 2009-05-28 08:02:50 UTC
eggdrop-1.6.19-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-05-28 08:03:38 UTC
eggdrop-1.6.19-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Josh Bressers 2010-03-22 18:36:31 UTC
*** Bug 501045 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.